<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="wrap_content"
    android:layout_height="wrap_content">

    <Button
        android:id="@+id/tv"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:ellipsize="end"
        android:paddingHorizontal="20dp"
        android:paddingVertical="10.dp"
        android:maxLines="1"
        android:layout_marginStart="10dp"
        android:textAppearance="?attr/textAppearanceTitleMedium" />

</LinearLayout>